aboutsummaryrefslogtreecommitdiff
path: root/utils/aws_ip_addresses_download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/aws_ip_addresses_download.sh')
-rwxr-xr-xutils/aws_ip_addresses_download.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/utils/aws_ip_addresses_download.sh b/utils/aws_ip_addresses_download.sh
index ffaaddf6a..dd7fc1dde 100755
--- a/utils/aws_ip_addresses_download.sh
+++ b/utils/aws_ip_addresses_download.sh
@@ -12,7 +12,7 @@ echo "(1) Downloading file..."
http_response=$(curl -s -o $TMP -w "%{http_code}" ${ORIGIN})
if [ $http_response != "200" ]; then
echo "Error $http_response: you probably need to update the list url!"
- return 1
+ exit 1
fi
echo "(2) Processing IP addresses..."
@@ -21,4 +21,4 @@ jq -r '.prefixes | .[].ip_prefix' $TMP > $LIST # TODO: ipv6
rm -f $TMP $LIST
echo "(3) Amazon AWS IPs are available in $DEST"
-return 0
+exit 0